/**
 * 
 */
package org.ajax4jsf.model;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Marker annotation, to keep request-scope beans between requests in the view state.
 * @author asmirnov
 *
 */
@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface KeepAlive {

	/**
	 * Boolean attribute indicating whether kept beans are accessible for all requests or AJAX-only.
	 *  
	 * @return
	 * @since 3.2.2
	 */
	boolean ajaxOnly() default false;
}
